Name:           fbida
Summary:        Frame-buffer image viewers and editors
Group:          Graphics/Viewers
Version:        2.13
Release:        %mkrel 1
License:        GPLv2+
URL:            http://linux.bytesex.org/fbida/
Source:         http://dl.bytesex.org/releases/fbida/%{name}-%{version}.tar.gz
Patch0:         fbida-2.10-giflib.patch

BuildRequires:  libjpeg-devel
BuildRequires:  giflib-devel
BuildRequires:  libmotif-devel
BuildRequires:  libpcd-devel
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(sane-backends)
BuildRequires:  pkgconfig(liblircclient0)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(pkg-config)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(poppler-glib)

Requires:       fonts-ttf-dejavu

%description
The fbida project contains a few small and efficient applications for
viewing and editing images, with the main focus being photos.


%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make \
        prefix="%{_prefix}" \
        verbose=yes \
        exiftran thumbnail.cgi fbi

%install
%make_install prefix="%{_prefix}" RESDIR=%{_sysconfdir}/X11 STRIP=


%files
%doc COPYING README TODO
%config(noreplace) %{_sysconfdir}/X11/app-defaults/Ida
%{_bindir}/ida
%{_bindir}/fbi
%{_bindir}/fbgs
%{_bindir}/fbpdf
%{_bindir}/exiftran
%{_mandir}/man1/ida*
%{_mandir}/man1/fbi*
%{_mandir}/man1/exiftran*
%{_mandir}/man1/fbgs*


%changelog
* Mon Apr 03 2017 eatdirt <eatdirt> 2.13-1.mga6
+ Revision: 1095783
- Upgrade to version 2.13

* Sat Aug 13 2016 luigiwalser <luigiwalser> 2.12-2.mga6
+ Revision: 1046177
- test rebuild for poppler

* Fri Apr 22 2016 eatdirt <eatdirt> 2.12-1.mga6
+ Revision: 1004678
- Upgrade to version 2.12

* Fri Apr 01 2016 eatdirt <eatdirt> 2.11-1.mga6
+ Revision: 997373
- Upgrade to version 2.11

* Sun Jan 10 2016 daviddavid <daviddavid> 2.10-2.mga6
+ Revision: 921198
- rebuild for new giflib 5.1.2

* Sun Jan 03 2016 luigiwalser <luigiwalser> 2.10-1.mga6
+ Revision: 918753
- 2.10

* Sat Jan 02 2016 luigiwalser <luigiwalser> 2.09-6.mga6
+ Revision: 918199
- rebuild for libwebp

* Wed Sep 16 2015 tv <tv> 2.09-5.mga6
+ Revision: 879807
- reenable debuginfo & fix empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 2.09-4.mga6
+ Revision: 875072
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 2.09-3.mga5
+ Revision: 747907
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.09-2.mga5
+ Revision: 679102
- Mageia 5 Mass Rebuild

* Fri Feb 21 2014 eatdirt <eatdirt> 2.09-1.mga5
+ Revision: 595292
- imported package fbida

